* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  text-decoration: none;
  border: none;
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  background: #000;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  min-height: 100vh;
  margin: 0;
  padding: 0;
  
}
/* Navbar */
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.4rem 7%;
  background-color: rgba(157, 203, 255, 0.489);
  border-bottom: 1px solid #74705d;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 9999;
}

#navbar-links {
  display: flex;
  gap: 20px;
}

#menu-toggle {
  display: none;
  font-size: 24px;
  background: none;
  border: none;
  cursor: pointer;
  color: white;
}


@media (max-width: 768px) {
  #navbar-links {
    display: none;
    flex-direction: column;
    position: absolute;
    top: 60px;
    right: 20px;
    background: #222;
    padding: 15px;
    border-radius: 8px;
    width: 200px;
  }

  #navbar-links a {
    padding: 10px;
    color: white;
    text-decoration: none;
  }

  #menu-toggle {
    display: block;
  }

  #navbar-links.show {
    display: flex; 
  }
}


.navbar .navbar-logo {
  font-size: 1.5rem;
  font-weight: 700;
  color: #ffffff;
}

.navbar .navbar-logo span {
  color: rgb(184, 187, 130);
}

.navbar .navbar-nav a {
  color: #ffffff;
  display: inline-block;
  font-size: 1rem;
  margin: 0 1rem;
  position: relative;
  font-weight: 600;
}

.navbar .navbar-nav a:hover {
  color: rgb(207, 205, 154);
}

.navbar .navbar-nav a::after {
  content: "";
  display: block;
  height: 2px;
  background: rgb(179, 167, 102);
  transform: scaleX(0);
  transition: transform 0.5s linear;
  transform-origin: center;
  
}

.navbar .navbar-nav a:hover::after {
  transform: scaleX(1);
}

/* Hero Content */
.hero {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 6rem 8% 2rem;
  gap: 2rem;
  flex-wrap: wrap;
}

.hero-text {
  flex: 1 1 400px;
  text-align: left;
  padding-left: 5%;   /* biar agak ke tengah */
}

.hero-text h1 {
  font-size: 2.5rem;
  margin-bottom: 1rem;
  color: white;
}

.hero-text p {
  font-size: 1.2rem;
  margin-bottom: 1.5rem;
  max-width: 500px;
  color: white;
}

.social-links {
  display: flex;
  gap: 1rem;
  margin-top: 1rem;
  
}

.social-links img {
  width: 35px;
  height: 35px;
  object-fit: cover;
  transition: transform 0.3s ease;
  border-radius: 50%;
  border-bottom: 5px solid #dab600;
 
  
}

.social-links img:hover {
  transform: scale(1.2);
}
.dowload-btn{
  display: inline-block;
  background: #ffffff;
  border-radius: 25px;
  text-decoration: none;
  color: rgb(0, 0, 0);
  font-weight: 700;
  padding: 0.7rem 1.5rem;
  transition:transfrom 0.3s ease;
  margin-top: 20px;
}

.dowload-btn:hover{
  background: #c7b80e;
  transform: scale(1);
}

.hero-image {
  flex: 1 1 300px;
  display: flex;
  justify-content: center;
}

.hero-image img {
  max-width: 50%;
  margin-top: 100px;
  height: auto;
  border-radius: 1.2rem;

}

/* Bagian 2 - Tentang Saya */
.bagian2 {
  background: #000000;
  padding: 6rem 5%;
  color: #ffffff;
  min-height: 100vh;
  text-align: center;
  font-weight: 800;
  font-size: 20px;
  margin-top: -5rem;
  text-shadow: 4px 4px 4px rgba(211, 193, 104, 0.7);
}

.bagian2 img.ibad {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  border: 4px solid rgb(221, 215, 174);
  object-fit: cover;
  margin-bottom: 2rem;
}

.box-tentang {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  margin-top: 3rem;
}

.box-tentang h3 {
  font-size: 1.5rem;
  font-weight: 700;
}

.box-tentang p {
  font-size: 1rem;
  font-weight: 400;
  color: #fff;
  padding: 0 1rem;
}

.box-tentang h3 span {
  color: #ffffff;
}

.box-1,
.box-2,
.box-3 {
  flex: 1;
  min-width: 280px;
  max-width: 350px;
  background: #363636;
  border-radius: 2rem;
  border: 2px solid rgb(187, 255, 243);
  color: #ffffff;
  transition: 0.3s ease;
  padding: 2rem 1rem;
}

.box-1:hover,
.box-2:hover,
.box-3:hover {
  transform: translateY(-10px) scale(1.05);
  box-shadow: 0 10px 20px rgba(255, 255, 255, 0.4);
}

/* Responsive */
@media screen and (max-width: 768px) {
  .bagian2 {
    padding: 4rem 2rem;
  }

  .box-tentang {
    flex-direction: column;
    align-items: center;
  }

  .box-1,
  .box-2,
  .box-3 {
    margin: 1rem 0;
    width: 100%;
    max-width: 100%;
  }

  .bagian2 img.ibad {
    width: 150px;
    height: 150px;
  }
  .download-cv {
    border-radius: 4px;
  }
}
/* Biodata */
.biodata-box {
  max-width: 1000px;
  margin: 100px auto;
  padding: 30px;
  background-color: #646464;
  border-radius: 15px;
  border: 2px solid rgb(221, 225, 188);
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
  color: #ffffff;
}

.biodata-box h2 {
  text-align: center;
  margin-bottom: 20px;
  color: #fefffd;
  font-size: 30px;
  text-shadow: 4px 4px 4px rgba(211, 193, 104, 0.7);
}

.biodata-box table {
  width: 100%;
  border-collapse: collapse;
}

.biodata-box th,
.biodata-box td {
  text-align: left;
  padding: 10px 0;
  font-size: 20px;
}

.biodata-box th {
  width: 30%;
}

/* Tombol */
.tombol a button {
  background-color: #ffffff;
  border-radius: 2rem;
  padding: 1rem 2rem;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  color: #000000;
  border: none;
}

.tombol a button:hover {
  background: #ffc430;
  animation: bounce 1.s ease-in-out;
}

@keyframes bounce {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  100% {
    transform: scale(1);
  }
}

.tombol a button:active {
  transform: scale(0.95);
}

/* Pendidikan */
.pendidikan-section {
  padding: 200px 10% 60px;
  background-color: #000000;
  text-align: center;
}

.section-title {
  font-size: 2.2rem;
  color: #ffffff;
  margin-bottom: 30px;
  font-weight: bold;
  text-shadow: 4px 4px 4px rgba(211, 193, 104, 0.7);
}

.pendidikan-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
}

.pendidikan-image img {
  width: 200px;
  height: auto;
  border-radius: 20px;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.15);
  object-fit: cover;
  border: 2px solid rgb(225, 210, 155);
}

.pendidikan-image h3 span {
  color: #000000;
}
.pendidikan-image h3 {
  color: rgb(0, 0, 0);
}

.pendidikan-table-container {
  flex: 1;
  min-width: 300px;
}

.pendidikan-table {
  width: 100%;
  border-collapse: collapse;
  background-color: #000;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.1);
}

.pendidikan-table thead {
  background-color: #44655e;
  color: #000000;
}

.pendidikan-table th,
.pendidikan-table td {
  padding: 15px;
  border: 1px solid #dec98f;
  color: #ffffff;
}

.pendidikan-table tbody tr:hover {
  background-color: #aead83;
}

/* Skill */
.center-wraper {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

.container {
  background-color: #2c2c2c;
  padding: 30px 40px;
  border-radius: 15px;
  color: white;
  width: 900px;
  margin-top: -7rem;
}

.container h2 {
  margin-bottom: 30px;
  font-size: 22px;
}

.highlight {
  color: rgb(255, 212, 136);
}

.skill {
  margin-bottom: 25px;
}

.skill-name {
  margin-bottom: 8px;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 13px;
}

.bar {
  background-color: #000000;
  border-radius: 10px;
  height: 20px;
  overflow: hidden;
}

.bar-fill {
  height: 100%;
  text-align: center;
  line-height: 20px;
  color: rgb(0, 0, 0);
  font-size: 12px;
  font-weight: bold;
}

.html {
  width: 90%;
  background-color: red;
  color: white;
}
.css {
  width: 75%;
  background-color: blue;
  color: #ffffff;
}
.js {
  width: 10%;
  background-color: #ffd381;
}
.java {
  width: 50%;
  background-color: #59ff59;

}

/* Proyek */
.proyek-section {
  padding: 80px 0;
  background-color: #000000;
  color: white;
  text-align: center;
}

.judul-proyek {
  font-size: 2.5rem;
  margin-bottom: 40px;
  color: rgb(255, 255, 255);
  text-shadow: 4px 4px 4px rgba(211, 193, 104, 0.7);
}

.proyek-container {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  justify-content: center;
}

.proyek-box {
  width: 250px;
  background-color: #000;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 4px 10px rgba(255, 255, 255, 0.2);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  cursor: pointer;
}

.proyek-box img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  border-bottom: 4px solid rgb(195, 205, 150);
}

.proyek-box p {
  padding: 15px;
  font-weight: 600;
  font-size: 16px;
}

.proyek-box:hover {
  transform: translateY(-10px) scale(1.05);
  box-shadow: 0 10px 20px rgba(238, 255, 0, 0.4);
}
.penjelasan-proyek {
  max-width: 900px;
  margin: 0 auto 50px auto;
  background-color: #1a1a1a;
  padding: 30px;
  border-radius: 15px;
  box-shadow: 0 6px 20px rgba(0, 255, 255, 0.2);
  border-left: 5px solid rgb(255, 255, 255);
  color: #ffffff;
  text-align: left;
  margin-top: 8rem;
}

.penjelasan-proyek h3 {
  font-size: 1.8rem;
  color: rgb(210, 203, 145);
  margin-bottom: 15px;
  text-shadow: 4px 4px 4px rgba(211, 193, 104, 0.7);
}

.penjelasan-proyek p {
  font-size: 1rem;
  line-height: 1.7;
}



/* Kontak */
.contact-section {
  padding: 60px 20px;
  background: #000000;
  text-align: center;
}

.contact-section h2 {
  font-size: 3em;
  margin-bottom: 10px;
  color: #ffffff;
  font-size: 45px;
  margin-top: 20px;
  text-shadow: 4px 4px 4px rgba(211, 193, 104, 0.7);
  margin-bottom: 10px;
  padding: 40px 10px 100px 10px;
  
  
}

.contact-section p {
  margin-bottom: 90px;
  color: #ffffff;
  font-size: 18px;
  font-weight: 400;
}

.contact-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  align-items: stretch;
}

.contact-form {
  flex: 1 1 350px;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.contact-form input,
.contact-form textarea {
  padding: 19px;
  border-radius: 8px;
  border: 1px solid #000000;
  font-size: 0.8em;
  background-color: #fefed7;
}

.contact-form button {
  padding: 12px;
  border: none;
  border-radius: 8px;
  background: #eed57a;
  color: #000000;
  cursor: pointer;
  transition: 0.3s;
}

.contact-form button:hover {
  background: #aea976;
}

.map-container {
  flex: 1 1 350px;
  min-height: 300px;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 4px 12px rgba(0,0,0,0.1);
  border: 2px solid rgb(18, 18, 18);
  margin-top: -1rem;
}
.footer {
  background-color: #000000;
  color: white;
  padding: 10px 10px;
  text-align: center;
}

.footer p {
  margin-bottom: 10px;
  font-size: 14px;
  color: #ffffff;
}